Index: trunk/tools/FlairGCS/src/DataRemote.cpp
===================================================================
--- trunk/tools/FlairGCS/src/DataRemote.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/DataRemote.cpp	(revision 15)
@@ -10,87 +10,88 @@
 #include "ConnectionLayout.h"
 
-DataRemote::DataRemote(QString name,QString type,XmlWidget* parent,bool enabled,int period):XmlWidget(name,type,parent) {
-    auto_refresh=enabled;
-    is_logging=true;
-    receivesize=0;
-    refresh_rate=(double)period/1000.;
+DataRemote::DataRemote(QString name, QString type, XmlWidget *parent,
+                       bool enabled, int period)
+    : XmlWidget(name, type, parent) {
+  auto_refresh = enabled;
+  is_logging = true;
+  receivesize = 0;
+  refresh_rate = (double)period / 1000.;
 
-    connectionLayout()->addDataRemote(this);
+  connectionLayout()->addDataRemote(this);
 
-    //pour ne pas faire de doublons qd on change la periode
-    SetIsExpandable(true);
+  // pour ne pas faire de doublons qd on change la periode
+  SetIsExpandable(true);
 }
 
-DataRemote::~DataRemote() {
-    connectionLayout()->removeDataRemote(this);
+DataRemote::~DataRemote() { connectionLayout()->removeDataRemote(this); }
+
+void DataRemote::appendmenu(QMenu *menu) {
+  menu->addSeparator();
+
+  b = menu->addAction("auto refresh");
+  b->setCheckable(true);
+  b->setChecked(auto_refresh);
+
+  c = menu->addAction(QString("set refresh rate (%1ms)")
+                          .arg((uint16_t)(qRound(refresh_rate * 1000))));
+  c->setEnabled(auto_refresh);
+  menu->addSeparator();
+
+  d = menu->addAction("log");
+  d->setCheckable(true);
+  d->setChecked(is_logging);
 }
 
-void DataRemote::appendmenu(QMenu * menu) {
-    menu->addSeparator();
+QAction *DataRemote::execmenu(QWidget *parent, QMenu *menu, QPoint point) {
+  QAction *z;
 
-    b=menu->addAction("auto refresh");
-    b->setCheckable(true);
-    b->setChecked(auto_refresh);
+  z = menu->exec(point);
 
-    c=menu->addAction(QString("set refresh rate (%1ms)").arg((uint16_t)(qRound(refresh_rate*1000))));
-    c->setEnabled(auto_refresh);
-    menu->addSeparator();
+  // auto_refresh=b->isChecked();
 
-    d=menu->addAction("log");
-    d->setCheckable(true);
-    d->setChecked(is_logging);
-}
+  if (z == b) {
+    SendPeriod(RefreshRate_ms(), b->isChecked());
+  }
 
-QAction* DataRemote::execmenu(QWidget* parent,QMenu * menu,QPoint point) {
-    QAction *z;
+  if (z == c) {
+    bool ok;
+    // uint16_t time = QInputDialog::getInt(this, QString("Set refresh rate
+    // (%1)").arg(title().text()),tr("Value (ms):"),
+    // (uint16_t)(qRound(refresh_rate*1000)), 1, 65535, 10, &ok);
+    uint16_t time = QInputDialog::getInt(
+        parent, "Set refresh rate ", "Value (ms):",
+        (uint16_t)(qRound(refresh_rate * 1000)), 1, 65535, 10, &ok);
+    if (ok == true && time != qRound(refresh_rate * 1000)) {
+      // refresh_rate=time/1000.;
+      SendPeriod(time, b->isChecked());
+    }
+  }
 
-    z=menu->exec(point);
-
-    //auto_refresh=b->isChecked();
-
-    if(z==b) {
-        SendPeriod(RefreshRate_ms(),b->isChecked());
-    }
-
-    if(z==c) {
-        bool ok;
-        //uint16_t time = QInputDialog::getInt(this, QString("Set refresh rate (%1)").arg(title().text()),tr("Value (ms):"), (uint16_t)(qRound(refresh_rate*1000)), 1, 65535, 10, &ok);
-        uint16_t time = QInputDialog::getInt(parent, "Set refresh rate ","Value (ms):", (uint16_t)(qRound(refresh_rate*1000)), 1, 65535, 10, &ok);
-        if(ok==true && time!=qRound(refresh_rate*1000)) {
-            //refresh_rate=time/1000.;
-            SendPeriod(time,b->isChecked());
-        }
-    }
-
-    return z;
+  return z;
 }
 
 uint16_t DataRemote::RefreshRate_ms(void) {
-    return (uint16_t)(qRound(refresh_rate*1000.));
+  return (uint16_t)(qRound(refresh_rate * 1000.));
 }
 
-bool DataRemote::IsEnabled(void) {
-    return auto_refresh;
+bool DataRemote::IsEnabled(void) { return auto_refresh; }
+
+void DataRemote::SendPeriod(int period, bool auto_refresh) {
+  SetAttribute("period", period);
+  SetAttribute("enabled", auto_refresh);
+
+  connectionLayout()->XmlToSend(XmlDoc());
+
+  RemoveAttribute("period");
+  RemoveAttribute("enabled");
 }
 
-void DataRemote::SendPeriod(int period,bool auto_refresh) {
-    SetAttribute("period", period);
-    SetAttribute("enabled", auto_refresh);
-
-    connectionLayout()->XmlToSend(XmlDoc());
-
-    RemoveAttribute("period");
-    RemoveAttribute("enabled");
-}
-
-int DataRemote::ReceiveSize(void) {
-    return receivesize;
-}
+int DataRemote::ReceiveSize(void) { return receivesize; }
 
 void DataRemote::XmlSetup(QDomElement dom) {
-    refresh_rate=dom.attribute("period").toInt()/1000.;
-    if(dom.attribute("enabled")=="1")
-        auto_refresh=true;
-    else
-        auto_refresh=false;
+  refresh_rate = dom.attribute("period").toInt() / 1000.;
+  if (dom.attribute("enabled") == "1")
+    auto_refresh = true;
+  else
+    auto_refresh = false;
 }
Index: trunk/tools/FlairGCS/src/DataRemote.h
===================================================================
--- trunk/tools/FlairGCS/src/DataRemote.h	(revision 14)
+++ trunk/tools/FlairGCS/src/DataRemote.h	(revision 15)
@@ -13,27 +13,28 @@
 class QAction;
 
-class DataRemote: public XmlWidget
-{
-    public:
-        DataRemote(QString name,QString type,XmlWidget* parent,bool enabled,int period);
-        ~DataRemote();
-        uint16_t RefreshRate_ms(void);
-        bool IsEnabled(void);
-        int ReceiveSize(void);
-        virtual void BufEvent(char** buf,int *buf_size,uint16_t period,bool big_endian)=0;
-        void appendmenu(QMenu * menu);
-        QAction* execmenu(QWidget* parent,QMenu * menu,QPoint point);
+class DataRemote : public XmlWidget {
+public:
+  DataRemote(QString name, QString type, XmlWidget *parent, bool enabled,
+             int period);
+  ~DataRemote();
+  uint16_t RefreshRate_ms(void);
+  bool IsEnabled(void);
+  int ReceiveSize(void);
+  virtual void BufEvent(char **buf, int *buf_size, uint16_t period,
+                        bool big_endian) = 0;
+  void appendmenu(QMenu *menu);
+  QAction *execmenu(QWidget *parent, QMenu *menu, QPoint point);
 
-    protected:
-        bool auto_refresh;
-        bool is_logging;
-        double refresh_rate;//en s
-        int receivesize;
+protected:
+  bool auto_refresh;
+  bool is_logging;
+  double refresh_rate; // en s
+  int receivesize;
 
-        void XmlSetup(QDomElement dom);
+  void XmlSetup(QDomElement dom);
 
-    private:
-        void SendPeriod(int period,bool auto_refresh);
-        QAction *b,*c,*d;
+private:
+  void SendPeriod(int period, bool auto_refresh);
+  QAction *b, *c, *d;
 };
 
Index: trunk/tools/FlairGCS/src/DoubleSpinBox.cpp
===================================================================
--- trunk/tools/FlairGCS/src/DoubleSpinBox.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/DoubleSpinBox.cpp	(revision 15)
@@ -11,121 +11,108 @@
 #include <QFormLayout>
 
-DoubleSpinBox::DoubleSpinBox(Layout* parent,int row, int col,QString name,QString suffix,QString value,float min,float max,float step,int decimals): FormLayout(parent,row,col,name,"DoubleSpinBox")
-{
-    doublespinbox = new QDoubleSpinBox();
+DoubleSpinBox::DoubleSpinBox(Layout *parent, int row, int col, QString name,
+                             QString suffix, QString value, float min,
+                             float max, float step, int decimals)
+    : FormLayout(parent, row, col, name, "DoubleSpinBox") {
+  doublespinbox = new QDoubleSpinBox();
 
-    doublespinbox->setRange(min,max);
-    doublespinbox->setSingleStep(step);
-    doublespinbox->setDecimals(decimals);
-    if(suffix!="") doublespinbox->setSuffix(suffix);
-    adjust_decimals(value);
-    doublespinbox->setValue(value.toDouble());
-    doublespinbox_value=doublespinbox->cleanText();
+  doublespinbox->setRange(min, max);
+  doublespinbox->setSingleStep(step);
+  doublespinbox->setDecimals(decimals);
+  if (suffix != "")
+    doublespinbox->setSuffix(suffix);
+  adjust_decimals(value);
+  doublespinbox->setValue(value.toDouble());
+  doublespinbox_value = doublespinbox->cleanText();
 
-    //event filter for qdoublespinbox and its child (qlinedit and incremnt qbuttons)
-    doublespinbox->installEventFilter(this);
-    QObjectList o_list = doublespinbox->children();
-    for(int i = 0; i < o_list.length(); i++)
-    {
-        QLineEdit *cast = qobject_cast<QLineEdit*>(o_list[i]);
-        if(cast)
-            cast->installEventFilter(this);
-    }
+  // event filter for qdoublespinbox and its child (qlinedit and incremnt
+  // qbuttons)
+  doublespinbox->installEventFilter(this);
+  QObjectList o_list = doublespinbox->children();
+  for (int i = 0; i < o_list.length(); i++) {
+    QLineEdit *cast = qobject_cast<QLineEdit *>(o_list[i]);
+    if (cast)
+      cast->installEventFilter(this);
+  }
 
-    object_layout->addRow(name,doublespinbox);
+  object_layout->addRow(name, doublespinbox);
 
-    connect(doublespinbox,SIGNAL(valueChanged(const QString &)),this, SLOT(valuechanged(const QString &)));
+  connect(doublespinbox, SIGNAL(valueChanged(const QString &)), this,
+          SLOT(valuechanged(const QString &)));
 
-    SetValue(value);
+  SetValue(value);
 }
 
-DoubleSpinBox::~DoubleSpinBox()
-{
-    delete doublespinbox;
+DoubleSpinBox::~DoubleSpinBox() { delete doublespinbox; }
+
+void DoubleSpinBox::adjust_decimals(QString value) {
+  // auto adjust decimals
+  QLocale locale;
+  value.remove(locale.groupSeparator());
+
+  QStringList parts = value.split(locale.decimalPoint());
+  if (parts.count() == 2) {
+    doublespinbox->setDecimals(parts[1].size());
+  }
 }
 
-void DoubleSpinBox::adjust_decimals(QString value)
-{
-    //auto adjust decimals
-    QLocale locale;
-    value.remove(locale.groupSeparator());
+bool DoubleSpinBox::eventFilter(QObject *object, QEvent *event) {
+  if (object == doublespinbox && event->type() == QEvent::MouseButtonPress) {
+    if (((QMouseEvent *)event)->button() == Qt::RightButton) {
+      QMenu *menu = new QMenu("menu", doublespinbox);
+      QAction *a, *b, *c, *z;
 
-    QStringList parts = value.split(locale.decimalPoint());
-    if(parts.count() == 2)
-    {
-        doublespinbox->setDecimals(parts[1].size());
+      a = menu->addAction("add decimal");
+      b = menu->addAction("remove decimal");
+
+      if (doublespinbox->decimals() == 0)
+        b->setEnabled(false);
+      z = menu->exec(((QMouseEvent *)event)->globalPos());
+
+      if (z == a)
+        doublespinbox->setDecimals(doublespinbox->decimals() + 1);
+      if (z == b)
+        doublespinbox->setDecimals(doublespinbox->decimals() - 1);
+      delete menu;
+      return true;
     }
+  }
+
+  return object->eventFilter(object, event);
 }
 
-bool DoubleSpinBox::eventFilter(QObject *object, QEvent *event)
-{
-    if(object==doublespinbox && event->type()==QEvent::MouseButtonPress)
-    {
-        if (((QMouseEvent*)event)->button() == Qt::RightButton)
-        {
-            QMenu * menu = new QMenu("menu", doublespinbox);
-            QAction *a,*b,*c,*z;
-
-            a=menu->addAction("add decimal");
-            b=menu->addAction("remove decimal");
-
-            if(doublespinbox->decimals()==0) b->setEnabled(false);
-            z=menu->exec(((QMouseEvent*)event)->globalPos());
-
-            if(z==a) doublespinbox->setDecimals(doublespinbox->decimals()+1);
-            if(z==b) doublespinbox->setDecimals(doublespinbox->decimals()-1);
-            delete menu;
-            return true;
-        }
-    }
-
-    return object->eventFilter(object, event);
+void DoubleSpinBox::SetUptodate(void) {
+  ui_to_var();
+  ui_to_xml();
+  visible_widget->setPalette(black_pal);
 }
 
-void DoubleSpinBox::SetUptodate(void)
-{
-    ui_to_var();
-    ui_to_xml();
-    visible_widget->setPalette(black_pal);
+void DoubleSpinBox::ui_to_var(void) {
+  doublespinbox_value = doublespinbox->cleanText();
 }
 
-void DoubleSpinBox::ui_to_var(void)
-{
-    doublespinbox_value=doublespinbox->cleanText();
+void DoubleSpinBox::ui_to_xml(void) { SetValue(doublespinbox->cleanText()); }
+
+void DoubleSpinBox::Reset(void) {
+  // le setvalue fait un arrondi pour l'affichage, la variable n'est donc plus
+  // egale
+  // on reprend la valeur de la boite et on force la couleur a noir
+  adjust_decimals(doublespinbox_value);
+  doublespinbox->setValue(doublespinbox_value.toDouble());
+  doublespinbox_value = doublespinbox->cleanText();
+  visible_widget->setPalette(black_pal);
 }
 
-void DoubleSpinBox::ui_to_xml(void)
-{
-    SetValue(doublespinbox->cleanText());
+void DoubleSpinBox::LoadEvent(QDomElement dom) {
+  if (doublespinbox->isEnabled() == true) {
+    doublespinbox->setValue((dom.attribute("value")).toDouble());
+  }
 }
 
-void DoubleSpinBox::Reset(void)
-{
-    //le setvalue fait un arrondi pour l'affichage, la variable n'est donc plus egale
-    //on reprend la valeur de la boite et on force la couleur a noir
-    adjust_decimals(doublespinbox_value);
-    doublespinbox->setValue(doublespinbox_value.toDouble());
-    doublespinbox_value= doublespinbox->cleanText();
+void DoubleSpinBox::valuechanged(const QString &value) {
+  if (value != doublespinbox_value) {
+    visible_widget->setPalette(red_pal);
+  } else {
     visible_widget->setPalette(black_pal);
-
+  }
 }
-
-void DoubleSpinBox::LoadEvent(QDomElement dom)
-{
-    if(doublespinbox->isEnabled()==true)
-    {
-        doublespinbox->setValue((dom.attribute("value")).toDouble());
-    }
-}
-
-void DoubleSpinBox::valuechanged(const QString &value)
-{
-    if(value!=doublespinbox_value)
-    {
-        visible_widget->setPalette(red_pal);
-    }
-    else
-    {
-        visible_widget->setPalette(black_pal);
-    }
-}
Index: trunk/tools/FlairGCS/src/DoubleSpinBox.h
===================================================================
--- trunk/tools/FlairGCS/src/DoubleSpinBox.h	(revision 14)
+++ trunk/tools/FlairGCS/src/DoubleSpinBox.h	(revision 15)
@@ -11,26 +11,26 @@
 class QDoubleSpinBox;
 
-class DoubleSpinBox: public FormLayout
-{
-    Q_OBJECT
+class DoubleSpinBox : public FormLayout {
+  Q_OBJECT
 
-    public:
-        //handle value as string, becouse double value are not exact
-        DoubleSpinBox(Layout* parent,int row, int col,QString name,QString suffix,QString value,float min,float max,float step,int decimals);
-        ~DoubleSpinBox();
+public:
+  // handle value as string, becouse double value are not exact
+  DoubleSpinBox(Layout *parent, int row, int col, QString name, QString suffix,
+                QString value, float min, float max, float step, int decimals);
+  ~DoubleSpinBox();
 
-    private:
-        QDoubleSpinBox* doublespinbox;
-        QString doublespinbox_value;
-        void SetUptodate(void);
-        void Reset(void);
-        void LoadEvent(QDomElement dom);
-        void ui_to_var(void);
-        void ui_to_xml(void);
-        bool eventFilter(QObject *o, QEvent *e);
-        void adjust_decimals(QString value);
+private:
+  QDoubleSpinBox *doublespinbox;
+  QString doublespinbox_value;
+  void SetUptodate(void);
+  void Reset(void);
+  void LoadEvent(QDomElement dom);
+  void ui_to_var(void);
+  void ui_to_xml(void);
+  bool eventFilter(QObject *o, QEvent *e);
+  void adjust_decimals(QString value);
 
-    private slots:
-        void valuechanged(const QString &value);
+private slots:
+  void valuechanged(const QString &value);
 };
 
Index: trunk/tools/FlairGCS/src/FormLayout.cpp
===================================================================
--- trunk/tools/FlairGCS/src/FormLayout.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/FormLayout.cpp	(revision 15)
@@ -9,57 +9,56 @@
 #include <QEvent>
 
-FormLayout::FormLayout(Layout* parent,int row, int col,QString name,QString type):XmlWidget(name,type,parent)
-{
-    visible_widget=new QWidget();
+FormLayout::FormLayout(Layout *parent, int row, int col, QString name,
+                       QString type)
+    : XmlWidget(name, type, parent) {
+  visible_widget = new QWidget();
 
-    //create a grid to put label and object
-    visible_widget->setObjectName(name);
+  // create a grid to put label and object
+  visible_widget->setObjectName(name);
 
-    parent->addWidget(visible_widget,row,col);
-    object_layout = new QFormLayout(visible_widget);
-    object_layout->setHorizontalSpacing(2);
-    object_layout->setVerticalSpacing(2);
-    object_layout->setContentsMargins (2,2,2,2);
+  parent->addWidget(visible_widget, row, col);
+  object_layout = new QFormLayout(visible_widget);
+  object_layout->setHorizontalSpacing(2);
+  object_layout->setVerticalSpacing(2);
+  object_layout->setContentsMargins(2, 2, 2, 2);
 
-    visible_widget->installEventFilter(this);
+  visible_widget->installEventFilter(this);
 }
 
-FormLayout::~FormLayout()
-{
+FormLayout::~FormLayout() {}
+
+bool FormLayout::IsUptodate(void) {
+  // si le widget n'est pas enabled, sa palette est differente de rouge (greyed)
+  // donc on renvoit true
+  // permet de ne pas envoyer les modifs d'un widget disabled
+  // if(label->palette()==red_pal) return false;
+  if (visible_widget->palette() == red_pal)
+    return false;
+  return true;
 }
 
-bool FormLayout::IsUptodate(void)
-{
-    //si le widget n'est pas enabled, sa palette est differente de rouge (greyed) donc on renvoit true
-    //permet de ne pas envoyer les modifs d'un widget disabled
-    //if(label->palette()==red_pal) return false;
-    if(visible_widget->palette()==red_pal) return false;
-    return true;
+bool FormLayout::eventFilter(QObject *o, QEvent *e) {
+  if (o == visible_widget) {
+    switch (e->type()) {
+    case QEvent::EnabledChange: {
+      QPalette palette = visible_widget->palette();
+      QPalette result;
+
+      if (palette == red_pal)
+        result = red_pal_greyed;
+      if (palette == red_pal_greyed)
+        result = red_pal;
+      if (palette == black_pal)
+        result = black_pal_greyed;
+      if (palette == black_pal_greyed)
+        result = black_pal;
+
+      visible_widget->setPalette(result);
+    }
+
+    default:
+      break;
+    }
+  }
+  return QObject::eventFilter(o, e);
 }
-
-bool FormLayout::eventFilter(QObject *o, QEvent *e)
-{
-    if (  o == visible_widget )
-    {
-        switch(e->type())
-        {
-            case QEvent::EnabledChange:
-            {
-                QPalette palette=visible_widget->palette();
-                QPalette result;
-
-                if(palette==red_pal) result=red_pal_greyed;
-                if(palette==red_pal_greyed) result=red_pal;
-                if(palette==black_pal) result=black_pal_greyed;
-                if(palette==black_pal_greyed) result=black_pal;
-
-                visible_widget->setPalette(result);
-            }
-
-            default:
-                break;
-        }
-
-    }
-    return QObject::eventFilter(o, e);
-}
Index: trunk/tools/FlairGCS/src/FormLayout.h
===================================================================
--- trunk/tools/FlairGCS/src/FormLayout.h	(revision 14)
+++ trunk/tools/FlairGCS/src/FormLayout.h	(revision 15)
@@ -11,18 +11,17 @@
 class Layout;
 
-class FormLayout: public XmlWidget
-{
+class FormLayout : public XmlWidget {
 
-    public:
-        FormLayout(Layout* parent,int row, int col,QString name,QString type);
-        ~FormLayout();
+public:
+  FormLayout(Layout *parent, int row, int col, QString name, QString type);
+  ~FormLayout();
 
-    private:
-        bool IsUptodate(void);
-        virtual void SetUptodate(void)=0;
-        bool eventFilter(QObject *o, QEvent *e);
+private:
+  bool IsUptodate(void);
+  virtual void SetUptodate(void) = 0;
+  bool eventFilter(QObject *o, QEvent *e);
 
-    protected:
-        QFormLayout* object_layout;
+protected:
+  QFormLayout *object_layout;
 };
 
Index: trunk/tools/FlairGCS/src/GridLayout.cpp
===================================================================
--- trunk/tools/FlairGCS/src/GridLayout.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/GridLayout.cpp	(revision 15)
@@ -7,19 +7,15 @@
 #include <QGridLayout>
 
-GridLayout::GridLayout(Layout* parent,int row, int col,QString name): Layout(parent,name,"GridLayout")
-{
-    widget = new QWidget();
-    widget->setObjectName(name);
+GridLayout::GridLayout(Layout *parent, int row, int col, QString name)
+    : Layout(parent, name, "GridLayout") {
+  widget = new QWidget();
+  widget->setObjectName(name);
 
-    visible_widget=widget;
+  visible_widget = widget;
 
-    parent->addWidget(widget,row,col);
+  parent->addWidget(widget, row, col);
 
-    widget->setLayout(getQGridLayout());
+  widget->setLayout(getQGridLayout());
 }
 
-
-GridLayout::~GridLayout()
-{
-    widget->setParent(NULL);
-}
+GridLayout::~GridLayout() { widget->setParent(NULL); }
Index: trunk/tools/FlairGCS/src/GridLayout.h
===================================================================
--- trunk/tools/FlairGCS/src/GridLayout.h	(revision 14)
+++ trunk/tools/FlairGCS/src/GridLayout.h	(revision 15)
@@ -8,13 +8,12 @@
 #include "Layout.h"
 
-class GridLayout: public Layout
-{
+class GridLayout : public Layout {
 
-    public:
-        GridLayout(Layout* parent,int row, int col,QString name);
-        ~GridLayout();
+public:
+  GridLayout(Layout *parent, int row, int col, QString name);
+  ~GridLayout();
 
-    private:
-        QWidget* widget;
+private:
+  QWidget *widget;
 };
 
Index: trunk/tools/FlairGCS/src/GroupBox.cpp
===================================================================
--- trunk/tools/FlairGCS/src/GroupBox.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/GroupBox.cpp	(revision 15)
@@ -7,25 +7,23 @@
 #include <QGridLayout>
 
-GroupBox::GroupBox(Layout* parent,int row, int col,QString name): Layout(parent,name,"GroupBox")
-{
-    //creation et ajout QGroupBox
-    box = new QGroupBox(name);
-    box->setObjectName(name);
+GroupBox::GroupBox(Layout *parent, int row, int col, QString name)
+    : Layout(parent, name, "GroupBox") {
+  // creation et ajout QGroupBox
+  box = new QGroupBox(name);
+  box->setObjectName(name);
 
-    visible_widget=box;
+  visible_widget = box;
 
-    parent->addWidget(box,row,col);
-    //parent->splitter->addWidget(box);
+  parent->addWidget(box, row, col);
+  // parent->splitter->addWidget(box);
 
-    box->setLayout(getQGridLayout());
+  box->setLayout(getQGridLayout());
 }
 
+GroupBox::~GroupBox() {
+  // layout->removeItem(this);//ne semble pas necessaire
 
-GroupBox::~GroupBox()
-{
-    //layout->removeItem(this);//ne semble pas necessaire
-
-    box->setParent(NULL);//sinon le delete layout detruit aussi this
-    //delete layout;
-    //delete box;
+  box->setParent(NULL); // sinon le delete layout detruit aussi this
+  // delete layout;
+  // delete box;
 }
Index: trunk/tools/FlairGCS/src/GroupBox.h
===================================================================
--- trunk/tools/FlairGCS/src/GroupBox.h	(revision 14)
+++ trunk/tools/FlairGCS/src/GroupBox.h	(revision 15)
@@ -10,13 +10,12 @@
 class QGroupBox;
 
-class GroupBox: public Layout
-{
+class GroupBox : public Layout {
 
-    public:
-        GroupBox(Layout* parent,int row, int col,QString name);
-        ~GroupBox();
+public:
+  GroupBox(Layout *parent, int row, int col, QString name);
+  ~GroupBox();
 
-    private:
-        QGroupBox* box;
+private:
+  QGroupBox *box;
 };
 
Index: trunk/tools/FlairGCS/src/Label.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Label.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/Label.cpp	(revision 15)
@@ -7,24 +7,20 @@
 #include <QLabel>
 
-Label::Label(Layout* parent,int row, int col,QString name):XmlWidget(name,"Label",parent)
-{
+Label::Label(Layout *parent, int row, int col, QString name)
+    : XmlWidget(name, "Label", parent) {
 
-    label = new QLabel();
-    label->setObjectName(name);
-    visible_widget=label;
+  label = new QLabel();
+  label->setObjectName(name);
+  visible_widget = label;
 
-    parent->addWidget(label,row,col);
+  parent->addWidget(label, row, col);
 
-    //pour ne pas faire de doublons qd on change le texte
-    SetIsExpandable(true);
+  // pour ne pas faire de doublons qd on change le texte
+  SetIsExpandable(true);
 }
 
-Label::~Label()
-{
+Label::~Label() {}
 
+void Label::XmlEvent(QDomElement dom) {
+  label->setText(dom.attribute("value"));
 }
-
-void Label::XmlEvent(QDomElement dom)
-{
-    label->setText(dom.attribute("value"));
-}
Index: trunk/tools/FlairGCS/src/Label.h
===================================================================
--- trunk/tools/FlairGCS/src/Label.h	(revision 14)
+++ trunk/tools/FlairGCS/src/Label.h	(revision 15)
@@ -11,15 +11,12 @@
 class QLabel;
 
-class Label: public XmlWidget
-{
-    public:
-        Label(Layout* parent,int row, int col,QString name);
-        ~Label();
+class Label : public XmlWidget {
+public:
+  Label(Layout *parent, int row, int col, QString name);
+  ~Label();
 
-    private:
-        void XmlEvent(QDomElement dom);
-        QLabel *label;
-
-
+private:
+  void XmlEvent(QDomElement dom);
+  QLabel *label;
 };
 
Index: trunk/tools/FlairGCS/src/Landmark.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Landmark.cpp	(revision 14)
+++ trunk/tools/FlairGCS/src/Landmark.cpp	(revision 15)
@@ -11,66 +11,50 @@
 using namespace QtMobility;
 
-Landmark::Landmark(QGraphicsGeoMap *geoMap, const QGeoCoordinate &coordinate,QString name,QString type)
-{
-    geoMap->addMapObject(this);
-    this->geoMap=geoMap;
-    pixmap = new QGeoMapPixmapObject();
-    pixmap->setCoordinate(coordinate);
+Landmark::Landmark(QGraphicsGeoMap *geoMap, const QGeoCoordinate &coordinate,
+                   QString name, QString type) {
+  geoMap->addMapObject(this);
+  this->geoMap = geoMap;
+  pixmap = new QGeoMapPixmapObject();
+  pixmap->setCoordinate(coordinate);
 
-    if(type=="cross")
-    {
-        pixmap->setOffset(QPoint(-16, -16));
-        pixmap->setPixmap(QPixmap(":cross.png"));
-    }
-    else
-    {
-        pixmap->setOffset(QPoint(-2, -30));
-        pixmap->setPixmap(QPixmap(":landmark.png"));
-    }
-    addChildObject(pixmap);
+  if (type == "cross") {
+    pixmap->setOffset(QPoint(-16, -16));
+    pixmap->setPixmap(QPixmap(":cross.png"));
+  } else {
+    pixmap->setOffset(QPoint(-2, -30));
+    pixmap->setPixmap(QPixmap(":landmark.png"));
+  }
+  addChildObject(pixmap);
 
-    QFont font;
-    font.setWeight(QFont::Bold);
-    text = new QGeoMapTextObject(coordinate,name, font, QPoint(0, 10));
-    text->setPen(QPen(Qt::NoPen));
-    text->setBrush(QBrush(Qt::red));
-    addChildObject(text);
+  QFont font;
+  font.setWeight(QFont::Bold);
+  text = new QGeoMapTextObject(coordinate, name, font, QPoint(0, 10));
+  text->setPen(QPen(Qt::NoPen));
+  text->setBrush(QBrush(Qt::red));
+  addChildObject(text);
 }
 
-Landmark::~Landmark()
-{
-    geoMap->removeMapObject(this);
-    clearChildObjects();
+Landmark::~Landmark() {
+  geoMap->removeMapObject(this);
+  clearChildObjects();
 }
 
-void Landmark::setText(QString string)
-{
-    text->setText(string);
+void Landmark::setText(QString string) { text->setText(string); }
+
+void Landmark::setColor(Qt::GlobalColor color) {
+  text->setBrush(QBrush(color));
 }
 
-void Landmark::setColor(Qt::GlobalColor color)
-{
-    text->setBrush(QBrush(color));
+void Landmark::setCoordinate(const QGeoCoordinate &coordinate) {
+  pixmap->setCoordinate(coordinate);
+  text->setCoordinate(coordinate);
 }
 
-void Landmark::setCoordinate(const QGeoCoordinate &coordinate)
-{
-    pixmap->setCoordinate(coordinate);
-    text->setCoordinate(coordinate);
+QGeoCoordinate Landmark::coordinate(void) { return pixmap->coordinate(); }
+
+void Landmark::RemoveLandmark(void) { geoMap->removeMapObject(this); }
+
+void Landmark::AddLandmark(QGraphicsGeoMap *geoMap) {
+  geoMap->addMapObject(this);
+  this->geoMap = geoMap;
 }
-
-QGeoCoordinate Landmark::coordinate(void)
-{
-    return pixmap->coordinate();
-}
-
-void Landmark::RemoveLandmark(void)
-{
-    geoMap->removeMapObject(this);
-}
-
-void Landmark::AddLandmark(QGraphicsGeoMap *geoMap)
-{
-    geoMap->addMapObject(this);
-    this->geoMap=geoMap;
-}
Index: trunk/tools/FlairGCS/src/Landmark.h
===================================================================
--- trunk/tools/FlairGCS/src/Landmark.h	(revision 14)
+++ trunk/tools/FlairGCS/src/Landmark.h	(revision 15)
@@ -10,28 +10,28 @@
 
 namespace QtMobility {
-    class QGraphicsGeoMap;
-    class QGeoMapTextObject;
-    class QGeoMapPixmapObject;
+class QGraphicsGeoMap;
+class QGeoMapTextObject;
+class QGeoMapPixmapObject;
 }
 
-
-class Landmark : public QtMobility::QGeoMapGroupObject
-{
+class Landmark : public QtMobility::QGeoMapGroupObject {
 
 public:
-    Landmark(QtMobility::QGraphicsGeoMap *geoMap,const QtMobility::QGeoCoordinate &coordinate,QString name,QString type="landmark");
-    ~Landmark();
+  Landmark(QtMobility::QGraphicsGeoMap *geoMap,
+           const QtMobility::QGeoCoordinate &coordinate, QString name,
+           QString type = "landmark");
+  ~Landmark();
 
-    QtMobility::QGeoCoordinate coordinate(void);
-    void setCoordinate(const QtMobility::QGeoCoordinate &coordinate);
-    void setText(QString string);
-    void setColor(Qt::GlobalColor color);
-    void RemoveLandmark(void);
-    void AddLandmark(QtMobility::QGraphicsGeoMap *geoMap);
+  QtMobility::QGeoCoordinate coordinate(void);
+  void setCoordinate(const QtMobility::QGeoCoordinate &coordinate);
+  void setText(QString string);
+  void setColor(Qt::GlobalColor color);
+  void RemoveLandmark(void);
+  void AddLandmark(QtMobility::QGraphicsGeoMap *geoMap);
 
 private:
-    QtMobility::QGeoMapTextObject* text;
-    QtMobility::QGeoMapPixmapObject* pixmap;
-    QtMobility::QGraphicsGeoMap *geoMap;
+  QtMobility::QGeoMapTextObject *text;
+  QtMobility::QGeoMapPixmapObject *pixmap;
+  QtMobility::QGraphicsGeoMap *geoMap;
 };
 
